Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sun.mdm.index.querybuilder
Class ObjectColumn

    java.lang.Object
      com.sun.mdm.index.querybuilder.ObjectColumn

class ObjectColumn
extends java.lang.Object

The ObjectColumn class is used to keep values for the given column. Three distinct ObjectNodes can be supplied. First ObjectNode can contain multiple values.

Constructor Summary
`(package private)` | `ObjectColumn(AbstractCondition ac)`

Method Summary
`(package private) AbstractCondition` | `getAbstractCondition()`
`(package private) java.util.List` | `getValueList()`
`(package private) java.lang.Object` | `getValueThree()`
`(package private) java.lang.Object` | `getValueTwo()`
`(package private) void` | `setAbstractCondition(AbstractCondition abstractCondition)`
`(package private) void` | `setValueList(java.util.List valueList)`
`(package private) void` | `setValueThree(java.lang.Object valueThree)`
`(package private) void` | `setValueTwo(java.lang.Object valueTwo)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ObjectColumn

    ObjectColumn(AbstractCondition ac)

Method Detail

### getAbstractCondition

    AbstractCondition getAbstractCondition()

  Returns:
    Returns the abstractCondition.

### getValueList

    java.util.List getValueList()

### getValueThree

    java.lang.Object getValueThree()

  Returns:
    Returns the valueThree.

### getValueTwo

    java.lang.Object getValueTwo()

  Returns:
    Returns the valueTwo.

### setAbstractCondition

    void setAbstractCondition(AbstractCondition abstractCondition)

  Parameters:
    `abstractCondition` - The abstractCondition to set.

### setValueList

    void setValueList(java.util.List valueList)

### setValueThree

    void setValueThree(java.lang.Object valueThree)

  Parameters:
    `valueThree` - The valueThree to set.

### setValueTwo

    void setValueTwo(java.lang.Object valueTwo)

  Parameters:
    `valueTwo` - The valueTwo to set.

Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Sun Microsystems, Inc.